<? 

include("adm/conexao_e_agenda.php");

$tempmins = 5;

$ip = $_SERVER['REMOTE_ADDR'];



if(mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM usuariosonline WHERE ip = '".$ip."'"))>0) {

mysqli_query($conexao,'UPDATE usuariosonline SET  time = "'.time().'" WHERE ip = "'.$ip.'"');

} else {

mysqli_query($conexao,'INSERT INTO usuariosonline (ip,time) VALUES ("'.$ip.'","'.time().'")');

//--------

	$sql="select * from visitas where id='1'";

	$result=mysqli_query($conexao,$sql);

	$linha_tec=mysqli_fetch_array($result);

		

	$codigo = $linha_tec['id'];

	$acessos = $linha_tec['atual'];

    $novo_acesso = $acessos + 1;

	

	$sqlu = "update visitas set atual='$novo_acesso' where id='$codigo'";

	$resultu=mysqli_query($conexao,$sqlu)

    or die (mysqli_error($conexao));

//-------- atualiza contador por dia

    $day_now = date("Y-m-d");

    if(mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM visitas_dia where data_dia='$day_now'"))==""){

    $sqld = "insert into visitas_dia set data_dia='$day_now',contador='1'";

	$resultd=mysqli_query($conexao,$sqld) or die (mysqli_error($conexao));

    } else {

//--------

	$sql="select * from visitas_dia where data_dia='$day_now'";

	$result=mysqli_query($conexao,$sql);

	$linha_tec=mysqli_fetch_array($result);

 		

	$codigo2 = $linha_tec['id'];

	$acessos2 = $linha_tec['contador'];

    $novo_contador = $acessos2 + 1;

	

	$sqlu = "update visitas_dia set contador='$novo_contador' where id='$codigo2'";

	$resultu=mysqli_query($conexao,$sqlu)

    or die (mysqli_error($conexao));

	}

//--------	

	 

}

mysqli_query($conexao,'DELETE FROM usuariosonline WHERE time<'.(time()-($tempmins*60)));



/*if(mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM usuariosonline"))==""){

echo "<font size='1'>[ Nós temos 1 <img src='usuarios_online.png'> &nbsp;Visitante On-Line ]</font>";

} else { 

echo "<font size='1'>[ Nós temos</font> 0 ".mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM usuariosonline"))." <font size='1'>  <img src='usuarios_online.png'> &nbsp;Visitante(s) On-Line ]</font>";

}*/



?>